{% import 'macros.html' as macros %}

<!DOCTYPE html>
<html lang="{{lang}}">

<head>
  <meta charset="utf-8" />
  <meta http-equiv="Content-Security-Policy" content="default-src 'none'; font-src 'self'; img-src 'self'; media-src 'self'; style-src 'self';" />
  <meta content="width=device-width, initial-scale=1" name="viewport" />
  <meta content="#ffffff" name="theme-color" />
  <meta content="#da532c" name="msapplication-TileColor" />

  {% if config.extra.favicon.webmanifest %}
  <link href='{{ config.extra.favicon.webmanifest }}' rel="manifest" />
  {% endif %}
  {% if config.extra.favicon.safari_pinned_tab %}
  <link color="#5bbad5" href='{{ config.extra.favicon.safari_pinned_tab }}' rel="mask-icon" />
  {% endif %}
  {% if config.extra.favicon.favicon_16x16 %}
  <link href='{{ config.extra.favicon.favicon_16x16 }}' rel="icon" sizes="16x16" type="image/png" />
  {% endif %}
  {% if config.extra.favicon.favicon_32x32 %}
  <link href='{{ config.extra.favicon.favicon_32x32 }}' rel="icon" sizes="32x32" type="image/png" />
  {% endif %}
  {% if config.extra.favicon.apple_touch_icon %}
  <link href='{{ config.extra.favicon.apple_touch_icon }}' rel="apple-touch-icon" sizes="180x180" />
  {% endif %}

  <link href="/css/academicons.css" rel="stylesheet" />
  <link href="/css/all.css" rel="stylesheet" />
  <link href="/css/bulma.css" rel="stylesheet" />
  <link href="/deep-thought.css" rel="stylesheet" />
  {% block user_custom_stylesheet %}
  {% endblock %}

  <title>
    {% block title %}
    {{ config.title }}
    {% endblock title %}
  </title>
</head>

<body class="has-background-white">
  <nav aria-label="section navigation" class="navbar is-light" role="navigation">
    <div class="container">
      <div class="navbar-brand">
        <a class="navbar-item is-size-5 has-text-weight-bold" href="/">{{ config.title }}</a>
        <a aria-expanded="false" aria-label="menu" class="navbar-burger burger" data-target="navMenu" role="button">
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
        </a>
      </div>
      <div class="navbar-menu" id="navMenu">
        <div class="navbar-end has-text-centered">
          {% for item in config.extra.navbar_items %}
          {% if lang == item.code %}
          {% for nav in item.nav_items %}
          <a class="navbar-item has-text-weight-semibold" href="{{ nav.url | replace(from='$BASE_URL', to="") }}">
            {{ nav.name }}
          </a>
          {% endfor %}
          {% endif %}
          {% endfor %}
          <a class="navbar-item" id="nav-search" title="Search" href="/search" target="_blank" rel="noopener noreferrer">
            <span class="icon">
              <i class="fas fa-search"></i>
            </span>
          </a>
        </div>
      </div>
    </div>
  </nav>

  {% block header %}
  {% endblock %}

  {% block content %}
  {% endblock %}

  {% block pagination %}
  {% if paginator.previous or paginator.next %}
  <section class="section">
    <div class="container">
      <nav class="pagination is-centered" role="navigation" aria-label="pagination">
        <a class="pagination-previous" href='{{ paginator.previous }}' {% if not paginator.previous %}disabled{% endif %}>
          <span class="icon">
            <i class="fas fa-angle-double-left"></i>
          </span>
          Previous
        </a>
        <a class="pagination-next" href='{{ paginator.next }}' {% if not paginator.next %}disabled{% endif %}>
          Next page
          <span class="icon">
            <i class="fas fa-angle-double-right"></i>
          </span>
        </a>
        <ul class="pagination-list">
          {% for pager in range(start=1, end=paginator.number_pagers+1) %}
          <li>
            <a class="pagination-link {% if paginator.current_index == pager %}is-current{% endif %}" href='{{ paginator.base_url }}{{pager}}' aria-label="Goto page {{pager}}">
              {{pager}}
            </a>
          </li>
          {% endfor %}
        </ul>
      </nav>
    </div>
  </section>
  {% endif %}
  {% endblock %}

  {% block comment %}
  {% endblock %}

  <footer class="footer py-4">
    <div class="content has-text-centered">
    </div>
  </footer>

</body>

</html>
